<div class="container-fluid">
    <div class="row">
        <navigation></navigation>
        <div class=" container-fluid offset-2  offset-lg-3 col-10 col-lg-9 col-xl-6">
            <button *ngIf="userName == userLocal.username" (click)='clickEdit()' class="iconEdit"><span
                    class="material-icons">
                    create
                </span></button>
            <div class="row divimage">
                <img class="imageProfil" src="{{user.link_image_profile}}">
            </div>
            <div class="row username">
                <p id="username">@{{user.username}}</p>
            </div>
            <div class="row description">
                <p [innerHTML]="user.biography"></p>
            </div>
            <div class="row containerInfo">
                <div class="col-6 infoAbo" (click)="subTo()" *ngIf="userName == userLocal.username">
                    <p style="text-align:center;"><span class="nombreAbo">{{user.count_subscribe_to}}</span> abonnement
                    </p>
                </div>
                <div class="col-5 infoAbo" (click)="subTo()" *ngIf="userName != userLocal.username">
                    <p><span class="nombreAbo">{{user.count_subscribe_to}}</span> abonnement</p>
                </div>
                <div class="col-6 infoAbo" (click)="subBy()" *ngIf="userName == userLocal.username">
                    <p style="text-align:center;"><span class="nombreAbo">{{user.count_subscribe_by}}</span> abonnées
                    </p>
                </div>
                <div class="col-5 infoAbo" (click)="subBy()" *ngIf="userName != userLocal.username">
                    <p><span class="nombreAbo">{{user.count_subscribe_by}}</span> abonnées</p>
                </div>
                <div class="col-2 colButton" *ngIf="userName != userLocal.username">
                    <button (click)="subUnsub()" class="buttonLike">
                        <span  class="material-icons" *ngIf="isSub == true">favorite</span>
                        <span class="material-icons" *ngIf="isSub == false">favorite_border</span>
                    </button>
                </div>
            </div>

            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#home">Posts</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#menu1">Likes</a>
                </li>
            </ul>

            <div class="tab-content">
                <div id="home" class="container tab-pane active"><br>
                    <div class="container-post">
                        <div class="post row" *ngFor="let post of posts">
                            <div class="row rowContentPost" (click)="onClickPost(post.id)">
                                <div class="col-3  col-md-2 col-profilpic">
                                    <img (click)="toProfil('profil/' + post.username_user)" *ngIf="user.username == post.username_user" alt="Image" draggable="true"
                                        src="{{user.link_image_profile}}" class="profil-pict">
                                    <img (click)="toProfil('profil/' + post.username_user)" *ngIf="user.username != post.username_user" alt="Image" draggable="true"
                                        src="{{post.link_image_profile}}" class="profil-pict">
                                </div>
                                <div class="col-9  col-md-10">
                                    <div class="row" *ngIf="userLocal.username != post.username_user">
                                        <p class="repostPar">Repost par <strong>@{{user.username}}</strong></p>
                                    </div>
                                    <div class="row usernamePost">
                                        <p (click)="toProfil('profil/' + post.username_user)">@{{post.username_user}} <span class="datePost">· {{post.updated}}</span></p>
                                    </div>
                                    <div class="row">
                                        <p>{{post.content}}</p>
                                    </div>
                                    <div *ngIf="post.link_image != null" class="row">
                                        <img alt="Image" draggable="true" src="{{post.link_image}}" class="post-pict">
                                    </div>
                                </div>
                            </div>
                            <div class="row rowIconPost">
                                <div class="col-4 commentNumber">
                                  <div class="row center">
                                    <div class="colNumber">
                                      <button type="button" (click)="saveIdPost(post)" class="btn btn-primary commentNumber"
                                        data-toggle="modal" data-target="#myModal"><span
                                          class="col-3 material-icons iconChat">chat_bubble_outline </span></button>
                                        <span>{{post.nb_comment}}</span>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-4 commentNumber">
                                  <div class="row center">
                                    <div class="colNumber">
                                      <button type="button" (click)="repost(post)" class="btn btn-primary commentNumber"
                                        ><span class=" material-icons">repeat</span></button>
                                      <span>{{post.nb_retweet}}</span>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-4 commentNumber">
                                  <div class="row center">
                                    <div class="colNumber">
                                      <button type="button" (click)="like(post)" class="btn btn-primary commentNumber"
                                        ><span
                                          class=" material-icons" *ngIf="post.isLike == false">favorite_border</span><span
                                          class=" material-icons" *ngIf="post.isLike == true">favorite</span></button>
                                          <span>{{post.nb_like}}</span>
                                    </div>
                                  </div>
                                </div>
                              </div>
                        </div>
                    </div>
                </div>




                <div id="menu1" class="container tab-pane fade"><br>
                    <div class="container-post">
                        <div class="post row" *ngFor="let postl of postsliked">
                            <div class="row rowContentPost" (click)="onClickPost(postl.idpost)">
                                <div class="col-3 col-profilpic">
                                    <img alt="Image" draggable="true" src="{{postl.user_image}}" class="profil-pict">
                                </div>
                                <div class="col-9 ">
                                    <div class="row usernamePost">
                                        <p>@{{postl.username_user}}</p>
                                    </div>
                                    <div class="row">
                                        <p>{{postl.content}}</p>
                                    </div>
                                    <div *ngIf="postl.link_image != null" class="row">
                                        <img alt="Image" draggable="true" src="{{postl.link_image}}" class="post-pict">
                                    </div>
                                </div>
                            </div>
                            <div class="row rowIconPost">
                                <div class="col-4 commentNumber">
                                    <div class="row">
                                        <div class="col-6 colNumber">
                                            <button type="button" (click)="saveIdPost(postl)"
                                                class="btn btn-primary commentNumber" data-toggle="modal"
                                                data-target="#myModal"><span
                                                    class="col-3 material-icons iconChat">chat_bubble_outline
                                                </span></button>
                                        </div>
                                        <div class="col-6 colNumber">
                                            <span>{{postl.nbr_repost}}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-4 commentNumber">
                                    <div class="row">
                                        <div class="col-6 colNumber">
                                            <button type="button" (click)="saveIdPost(postl)"
                                                class="btn btn-primary commentNumber" data-toggle="modal"
                                                data-target="#myModal"><span
                                                    class=" material-icons">repeat</span></button>
                                        </div>
                                        <div class="col-6 colNumber">
                                            <span>{{postl.nbr_repost}}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-3 commentNumber">
                                    <div class="row">
                                        <div class="col-6 colNumber">
                                            <button type="button" (click)="saveIdPost(postl)"
                                                class="btn btn-primary commentNumber" data-toggle="modal"
                                                data-target="#myModal"><span
                                                    class=" material-icons">favorite_border</span></button>
                                        </div>
                                        <div class="col-6 colNumber">
                                            <span>{{postl.nbrlike}}</span>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-1 commentNumber"><span class=" material-icons">share</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class=" colEnding col-0 col-xl-3"></div>
    </div>
</div>

<createComment [commentaireToComment]="commentaireToComment"></createComment>
